Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Friends | List of all members
sauce::internal::CircularDependencyGuard< ImplicitBindings, Dependency > Class Template Reference

Detects circular dependencies on behalf of injectors. More...

`#include <sauce/internal/base_injector.h>`

## Friends
class | BaseInjector< ImplicitBindings >

## Detailed Description

### template<typename ImplicitBindings, typename Dependency>
class sauce::internal::CircularDependencyGuard< ImplicitBindings, Dependency >

Detects circular dependencies on behalf of injectors.

The documentation for this class was generated from the following file:

- sauce/internal/base_injector.h